Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations

CreateAutoScalingRuleAlarmTrigger

CreateAutoScalingRuleAlarmTrigger

POST/zstack/v1/zwatch/alarms/{alarmUuid}/autoscaling/rules/{ruleUuid}

Operation ID

CreateAutoScalingRuleAlarmTrigger

Since

3.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • alarmUuid
    StringRequired

    The alarm UUID.

  • ruleUuid
    StringRequired

    The UUID of the auto scaling rule.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • triggerType
      String

      Optional. The trigger type.

    • name
      StringRequired

      The trigger name.

    • description
      String

      Optional. The detailed description of the resource.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    AutoScalingRuleTriggerInventoryRequired

    See inventory.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • type
      StringRequired

      The trigger type.

    • ruleUuid
      StringRequired

      The UUID of the auto scaling rule.

    • description
      String

      Optional. The detailed description of the resource.

    • state
      StringRequired

      The state of the trigger.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.